#
# spec file for package python-augeas
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-augeas
Version:        1.1.0
Release:        1.1
Summary:        Python bindings for Augeas
License:        LGPL-2.1-or-later
Group:          Development/Languages/Python
URL:            http://augeas.net/
Source:         https://github.com/hercules-team/python-augeas/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module cffi >= 1.0.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  augeas-lenses
BuildRequires:  python-rpm-macros
Requires:       augeas
# We'd always want to have augeas-lenses installed
Requires:       augeas-lenses
BuildArch:      noarch
%python_subpackages

%description
Python bindings for Augeas, a library for programmatically editing
configuration files.

%prep
%setup -q

%build
%python_build

%install
%python_install

# do not pack tests
%python_expand rm -rf %{buildroot}%{$python_sitelib}/test

%check
cd test
%python_exec test_augeas.py

%files %{python_files}
%doc AUTHORS README.txt
%license COPYING
%{python_sitelib}/*

%changelog
* Sun Jul  2 2023 ecsos <ecsos@opensuse.org>
- Update to 1.1.0
  - No changelog from upstream.
* Mon Jun 12 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Feb 12 2018 tchvatal@suse.com
- Sort out a bit with spec-cleaner and remove all the sle11
  conditions
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Sun Dec 13 2015 ecsos@opensuse.org
- New upstream release 0.5.0
  * Make syntax-compatible with both Python 3 and 2.
  * Remove the libpython hack.
  * Make tests syntax compatible with both Python 3 and 2.
  * Make test failures more verbose.
  * Improve error messages.
  * Fix exception tests.
  * Convert unicode at the C boundary.
  * Add Python 3.3 to CI, and disallow failures.
  * Add Travis CI settings
  * Allow failures for python 3.2
  * Add text_store to the API
  * Add text_retrieve to the API
  * Add rename to the API
  * Add transform to the API
  * Add label to the API
  * Use the packages from the augeas-dev PPA
  * Warning: the 'name' parameter in add_transform is deprecated
* Mon Dec  9 2013 aj@ajaissle.de
- Changed BuildArch to noarch for suse-version >= 1140
- Cleaned up spec file
* Wed Dec  4 2013 aj@ajaissle.de
- Added 'Requires: augeas-lenses'
  * we'd always want to have lenses installed
- Do not BuildRequire augeas-lenses and do not %%check, if we are on suse_version >= 1140
- Do not %%check unless suse_version >= 1210
* Thu Jul  4 2013 aj@ajaissle.de
- Install AUTHORS, COPYING, README.txt in %%doc
- Re-enable checks (not broken anymore)
* Wed Jan 23 2013 aj@ajaissle.de
- New upstream release 0.4.1
  * Allow "None" as value for set()
  * Add span API call to match C API
  * Make unit tests more quiet
  * Work around RHEL6 on Power issue.
  * test: make sure local augeas.py is used
- New format for license tag (spdx.org)
- Dropped bnc-722317.patch (included in upstream package)
* Thu Mar 15 2012 dmacvicar@suse.de
- Fix patch line in spec file (missing number)
* Thu Oct 13 2011 dmacvicar@suse.de
- fix known segfault due to ctypes converting void* to int on
  non-x86 architectures using patch at
  https://fedorahosted.org/augeas/attachment/ticket/165
  (bnc#722317)
* Fri Jun 17 2011 jmatejek@novell.com
- initial package 0.4.0, as requested in fate#311720
